### Function

# Gimp dodgeburn_default

#### Declaration [src]

    gboolean
    gimp_dodgeburn_default (
      GimpDrawable* drawable,
      gsize num_strokes,
      const gdouble* strokes
    )

#### Description [src]

Dodgeburn image with varying exposure. This is the same as the `gimp_dodgeburn()` function except that the exposure, type and mode are taken from the tools option dialog. If the dialog has not been activated then the defaults as used by the dialog will be used.

Dodgeburn. More details here later.

#### Parameters

`drawable`

  Type: `GimpDrawable`

  The affected drawable.

  The data is owned by the caller of the function.

`num_strokes`

  Type: `gsize`

  Number of stroke control points (count each coordinate as 2 points).

`strokes`

  Type: An array of `double`

  Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, …, sn.x, sn.y }.

  The length of the array is specified in the `num_strokes` argument.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

TRUE on success.